Subject: Re: [draft-freed-sieve-in-xml-02] Unknown Markup

From: Ned Freed <[email-masked]>
Date: Mon, 09 Mar 2009 08:03:38 -0700 (PDT)

> Issue
> -----
> The expected behaviour when a processor encounters a document
> containing markup which it does not understand is not clear.

> Proposal
> --------
> A processor MAY validate documents against the standard schema and MAY
> reject any which do not conform. For any document that a processor does
> not reject as invalid, any markup that the processor cannot understand
> by reference to this specification MAY be discarded.

I think  this is a reasonable statement to add, however, one tweak is needed -
the example schema are informative, not "standard".

The real question is where to put this text. There doesn't seem to be
an existing section where it fits so I added a 4.3 "Validaion" section
to the document.

> Rationale
> ---------
> I think it is better to say something explicit about this issue. This
> proposal is not one that I particularly favour but is the de facto status
> quo as I see it. It is not unreasonable.

I agree with all of this.

				Ned